
Figure - Bug #113273
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】进入视频小窗，播放视频时，拖动小窗到其他位置，松手后小窗显示不合理
2022-10-28 16:23 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-28

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

Reproducibility: Every time Fixed Version: 2022-11-09

Test Type: IT Root cause: 由于一个task内启动了多个activity 只更新了上层的activity

Description

【前提条件】

1、本地有视频

【测试步骤】

1、长按视频应用在出现的弹窗中选中小窗

2、在视频列表中选中一个视频进行播放

3、拖动小窗到其他三个角落

【预期结果】

3、拖动到角落时，小窗松手后变成mini模式，页面显示正常

【实际结果】

3、拖动到角落时，小窗松手后变成mini模式，mini小窗后有明显的正常小窗边框（如图）

History

#1 - 2022-10-28 17:01 - CD TEST-方永红

测试内容补充：在图库小窗中播放视频也会出现同样的现象

#2 - 2022-11-07 20:12 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V4.0_20221128

请更新bug当前进展和依赖

#3 - 2022-11-08 10:29 - DL FW-张挽强

■ My analysis

由于一个task内启动了多个activity 只更新了上层的activity

■ Next action

遍历activity 更新scale
#4 - 2022-11-09 14:39 - DL FW-张挽强

- Status changed from New to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-09

- Root cause set to 由于一个task内启动了多个activity 只更新了上层的activity

#5 - 2022-11-10 14:53 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to DL FW-郝健

测试版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0045.X101

测试步骤：

1、视频应用小窗播放视频

2、将视频小窗拖动到其他三个角落后松手or进行正常小窗和mini小窗的切换

测试结果

2:mini小窗有概率出现白边

验证失败

#6 - 2022-11-10 14:55 - CD TEST-方永红

- File logcat.txt added

PS:图库mini小窗也有相同现象

#7 - 2022-11-17 15:46 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V4.0_20221128 to VX1_MCE_FSE_V5.0_20221230

#8 - 2022-11-21 17:24 - DL FW-张挽强

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from DL FW-郝健 to CD TEST-方永红

#9 - 2022-11-22 11:34 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

11.22

现在切换后不会出现白边

但是mini模式和正常模式切换时有闪烁现象（已另起票跟踪）

此问题先关闭

#10 - 2022-11-22 11:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#11 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：
ID Project Branch Uploader

160929 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed freeform display is unreasonable1.Modify freeform scale logicTC-RID: 1201-0204601IssueID: TS-R-BUG-113273Change-Id:

I1f2656e43cc63c7af8e351be637dfa5aa007c0d6

Files

迷你视频小窗.png 142 KB 2022-10-28 CD TEST-方永红

shiping.txt 2.58 MB 2022-10-28 CD TEST-方永红

logcat.txt 575 KB 2022-11-10 CD TEST-方永红

2025-07-04 3/3


